Promptic

Update a dataset case

PATCH
/components/{componentId}/datasets/{datasetId}/cases/{caseId}

Authorization

BearerApiKey
AuthorizationBearer <token>

API key from AI Application settings

In: header

Path Parameters

componentId*string
Formatuuid
datasetId*string
Formatuuid
caseId*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://loading/api/v1/components/497f6eca-6276-4993-bfeb-53cbbbba6f08/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08/cases/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": -9007199254740991,
  "datasetId": "6586f21b-ad4d-4d06-a309-712af47184a2",
  "sourceTraceId": "226cec18-7102-443e-b0c5-628fc175a254",
  "idx": -9007199254740991,
  "inputPayload": {
    "property1": null,
    "property2": null
  },
  "expectedPayload": null,
  "split": "train",
  "metadata": {
    "property1": null,
    "property2": null
  },
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}